#!/bin/bash
clear


BASE=$(dirname "$0")
BASE=$(cd "$BASE" && pwd -P)

TARGET=""

if [ -d "$BASE/renpy" ]; then
    TARGET="$BASE"
else
    for i in "$BASE"/*.app ; do
        if [ -d "$I/Contents/Resources/autorun/renpy" ]; then
	    TARGET="$i"
	fi
    done
fi

if [ -z "$TARGET" ]; then
    cat <<EOF
Could not find a Ren'Py application to strip the quarantine attribute
from. Place this script in the folder containing the app, and run 
it again.
EOF

    exit 1
fi


cat <<EOF
Remove Quarantine.command 1.0

This script removes the quarantine attribute from Ren'Py games in the 
current folder. You should only do this if you trust the creators of 
those games, and the source that you retrieved the games from.

This command will work on:
$TARGET

EOF

response='maybe'

while [ "$response" != 'yes' ]; do
    echo "Are you sure you want to do this? Type 'yes' or 'no'."
    read response
    
    if [ "$response" == 'no' ]; then
	echo "Okay, giving up."
	exit 0
    fi
done

xattr -r -d com.apple.quarantine "$TARGET"

echo "Done. You should now be able to run the app."
exit 0
